using BepInEx.Configuration;
using Dusk;

namespace HookahPlace.Content;

internal static class NukeDawnLibConfig
{
    static internal void NukeUnlockable(ConfigFile config, string heading, string name, int cost)
    {
        heading = $"{heading} Options";
        var costName = $"{name} | Cost";
        var disclaimer = "Sorry, this is not configurable. This is a dirty hack to suppress DawnLib/DuskMod from allowing any configurability here.";

        var ctx = new ConfigContext(config, heading);

        var enabledEntry = ctx.Bind("Enabled", disclaimer, true);
        enabledEntry.Value = true;

        var costEntry = ctx.Bind(costName, disclaimer, cost);
        costEntry.Value = cost;
    }
}
